typedef u8 gamma_cmd_t[2];

static gamma_cmd_t gamma_setting_code[] = {
/* CMD2_P0 */
	{0xFF, 0x20},
	{0xFB, 0x00},
	{0x75, 0x00},
	{0x76, 0x2C},
	{0x77, 0x00},
	{0x78, 0x53},
	{0x79, 0x00},
	{0x7A, 0xA0},
	{0x7B, 0x00},
	{0x7C, 0xED},
	{0x7D, 0x01},
	{0x7E, 0x3A},
	{0x7F, 0x01},
	{0x80, 0x66},
	{0x81, 0x01},
	{0x82, 0x71},
	{0x83, 0x01},
	{0x84, 0x7C},
	{0x85, 0x01},
	{0x86, 0x87},
	{0x87, 0x01},
	{0x88, 0xA4},
	{0x89, 0x01},
	{0x8A, 0xBA},
	{0x8B, 0x01},
	{0x8C, 0xD8},
	{0x8D, 0x01},
	{0x8E, 0xF1},
	{0x8F, 0x02},
	{0x90, 0x1D},
	{0x91, 0x02},
	{0x92, 0x49},
	{0x93, 0x02},
	{0x94, 0x4A},
	{0x95, 0x02},
	{0x96, 0x7E},
	{0x97, 0x02},
	{0x98, 0xC0},
	{0x99, 0x02},
	{0x9A, 0xE9},
	{0x9B, 0x03},
	{0x9C, 0x1F},
	{0x9D, 0x03},
	{0x9E, 0x40},
	{0x9F, 0x03},
	{0xA0, 0x66},
	{0xA2, 0x03},
	{0xA3, 0x71},
	{0xA4, 0x03},
	{0xA5, 0x7D},
	{0xA6, 0x03},
	{0xA7, 0x88},
	{0xA9, 0x03},
	{0xAA, 0x94},
	{0xAB, 0x03},
	{0xAC, 0xA2},
	{0xAD, 0x03},
	{0xAE, 0xB0},
	{0xAF, 0x03},
	{0xB0, 0xBE},
	{0xB1, 0x03},
	{0xB2, 0xC5},
	{0xB3, 0x00},
	{0xB4, 0x2C},
	{0xB5, 0x00},
	{0xB6, 0x53},
	{0xB7, 0x00},
	{0xB8, 0xA0},
	{0xB9, 0x00},
	{0xBA, 0xED},
	{0xBB, 0x01},
	{0xBC, 0x3A},
	{0xBD, 0x01},
	{0xBE, 0x66},
	{0xBF, 0x01},
	{0xC0, 0x71},
	{0xC1, 0x01},
	{0xC2, 0x7C},
	{0xC3, 0x01},
	{0xC4, 0x87},
	{0xC5, 0x01},
	{0xC6, 0xA4},
	{0xC7, 0x01},
	{0xC8, 0xBA},
	{0xC9, 0x01},
	{0xCA, 0xD8},
	{0xCB, 0x01},
	{0xCC, 0xF1},
	{0xCD, 0x02},
	{0xCE, 0x1D},
	{0xCF, 0x02},
	{0xD0, 0x49},
	{0xD1, 0x02},
	{0xD2, 0x4A},
	{0xD3, 0x02},
	{0xD4, 0x7E},
	{0xD5, 0x02},
	{0xD6, 0xC0},
	{0xD7, 0x02},
	{0xD8, 0xE9},
	{0xD9, 0x03},
	{0xDA, 0x1F},
	{0xDB, 0x03},
	{0xDC, 0x40},
	{0xDD, 0x03},
	{0xDE, 0x66},
	{0xDF, 0x03},
	{0xE0, 0x71},
	{0xE1, 0x03},
	{0xE2, 0x7D},
	{0xE3, 0x03},
	{0xE4, 0x88},
	{0xE5, 0x03},
	{0xE6, 0x94},
	{0xE7, 0x03},
	{0xE8, 0xA2},
	{0xE9, 0x03},
	{0xEA, 0xB0},
	{0xEB, 0x03},
	{0xEC, 0xBE},
	{0xED, 0x03},
	{0xEE, 0xC5},
	{0xEF, 0x00},
	{0xF0, 0x2C},
	{0xF1, 0x00},
	{0xF2, 0x52},
	{0xF3, 0x00},
	{0xF4, 0x9D},
	{0xF5, 0x00},
	{0xF6, 0xE8},
	{0xF7, 0x01},
	{0xF8, 0x33},
	{0xF9, 0x01},
	{0xFA, 0x5E},
/* CMD2_P1 */
	{0xFF, 0x21},
	{0xFB, 0x00},
	{0x00, 0x01},
	{0x01, 0x69},
	{0x02, 0x01},
	{0x03, 0x74},
	{0x04, 0x01},
	{0x05, 0x7F},
	{0x06, 0x01},
	{0x07, 0x9C},
	{0x08, 0x01},
	{0x09, 0xB1},
	{0x0A, 0x01},
	{0x0B, 0xCF},
	{0x0C, 0x01},
	{0x0D, 0xE6},
	{0x0E, 0x02},
	{0x0F, 0x0D},
	{0x10, 0x02},
	{0x11, 0x32},
	{0x12, 0x02},
	{0x13, 0x33},
	{0x14, 0x02},
	{0x15, 0x5C},
	{0x16, 0x02},
	{0x17, 0x8D},
	{0x18, 0x02},
	{0x19, 0xAB},
	{0x1A, 0x02},
	{0x1B, 0xD0},
	{0x1C, 0x02},
	{0x1D, 0xE4},
	{0x1E, 0x02},
	{0x1F, 0xFB},
	{0x20, 0x03},
	{0x21, 0x02},
	{0x22, 0x03},
	{0x23, 0x08},
	{0x24, 0x03},
	{0x25, 0x0F},
	{0x26, 0x03},
	{0x27, 0x15},
	{0x28, 0x03},
	{0x29, 0x1D},
	{0x2A, 0x03},
	{0x2B, 0x24},
	{0x2D, 0x03},
	{0x2F, 0x2C},
	{0x30, 0x03},
	{0x31, 0x30},
	{0x32, 0x00},
	{0x33, 0x2C},
	{0x34, 0x00},
	{0x35, 0x52},
	{0x36, 0x00},
	{0x37, 0x9D},
	{0x38, 0x00},
	{0x39, 0xE8},
	{0x3A, 0x01},
	{0x3B, 0x33},
	{0x3D, 0x01},
	{0x3F, 0x5E},
	{0x40, 0x01},
	{0x41, 0x69},
	{0x42, 0x01},
	{0x43, 0x74},
	{0x44, 0x01},
	{0x45, 0x7F},
	{0x46, 0x01},
	{0x47, 0x9C},
	{0x48, 0x01},
	{0x49, 0xB1},
	{0x4A, 0x01},
	{0x4B, 0xCF},
	{0x4C, 0x01},
	{0x4D, 0xE6},
	{0x4E, 0x02},
	{0x4F, 0x0D},
	{0x50, 0x02},
	{0x51, 0x32},
	{0x52, 0x02},
	{0x53, 0x33},
	{0x54, 0x02},
	{0x55, 0x5C},
	{0x56, 0x02},
	{0x58, 0x8D},
	{0x59, 0x02},
	{0x5A, 0xAB},
	{0x5B, 0x02},
	{0x5C, 0xD0},
	{0x5D, 0x02},
	{0x5E, 0xE4},
	{0x5F, 0x02},
	{0x60, 0xFB},
	{0x61, 0x03},
	{0x62, 0x02},
	{0x63, 0x03},
	{0x64, 0x08},
	{0x65, 0x03},
	{0x66, 0x0f},
	{0x67, 0x03},
	{0x68, 0x15},
	{0x69, 0x03},
	{0x6A, 0x1D},
	{0x6B, 0x03},
	{0x6C, 0x24},
	{0x6D, 0x03},
	{0x6E, 0x2C},
	{0x6F, 0x03},
	{0x70, 0x30},
	{0x71, 0x00},
	{0x72, 0xD0},
	{0x73, 0x00},
	{0x74, 0xD7},
	{0x75, 0x00},
	{0x76, 0xE5},
	{0x77, 0x00},
	{0x78, 0xF4},
	{0x79, 0x01},
	{0x7A, 0x02},
	{0x7B, 0x01},
	{0x7C, 0x16},
	{0x7D, 0x01},
	{0x7E, 0x30},
	{0x7F, 0x01},
	{0x80, 0x4A},
	{0x81, 0x01},
	{0x82, 0x63},
	{0x83, 0x01},
	{0x84, 0x85},
	{0x85, 0x01},
	{0x86, 0x99},
	{0x87, 0x01},
	{0x88, 0xB6},
	{0x89, 0x01},
	{0x8A, 0xCB},
	{0x8B, 0x01},
	{0x8C, 0xEC},
	{0x8D, 0x02},
	{0x8E, 0x07},
	{0x8F, 0x02},
	{0x90, 0x08},
	{0x91, 0x02},
	{0x92, 0x23},
	{0x93, 0x02},
	{0x94, 0x3F},
	{0x95, 0x02},
	{0x96, 0x4F},
	{0x97, 0x02},
	{0x98, 0x5F},
	{0x99, 0x02},
	{0x9A, 0x67},
	{0x9B, 0x02},
	{0x9C, 0x70},
	{0x9D, 0x02},
	{0x9E, 0x72},
	{0x9F, 0x02},
	{0xA0, 0x75},
	{0xA2, 0x02},
	{0xA3, 0x77},
	{0xA4, 0x02},
	{0xA5, 0x79},
	{0xA6, 0x02},
	{0xA7, 0x7B},
	{0xA9, 0x02},
	{0xAA, 0x7E},
	{0xAB, 0x02},
	{0xAC, 0x80},
	{0xAD, 0x02},
	{0xAE, 0x81},
	{0xAF, 0x00},
	{0xB0, 0xD0},
	{0xB1, 0x00},
	{0xB2, 0xD7},
	{0xB3, 0x00},
	{0xB4, 0xE5},
	{0xB5, 0x00},
	{0xB6, 0xF4},
	{0xB7, 0x01},
	{0xB8, 0x02},
	{0xB9, 0x01},
	{0xBA, 0x16},
	{0xBB, 0x01},
	{0xBC, 0x30},
	{0xBD, 0x01},
	{0xBE, 0x4A},
	{0xBF, 0x01},
	{0xC0, 0x63},
	{0xC1, 0x01},
	{0xC2, 0x85},
	{0xC3, 0x01},
	{0xC4, 0x99},
	{0xC5, 0x01},
	{0xC6, 0xB6},
	{0xC7, 0x01},
	{0xC8, 0xCB},
	{0xC9, 0x01},
	{0xCA, 0xEC},
	{0xCB, 0x02},
	{0xCC, 0x07},
	{0xCD, 0x02},
	{0xCE, 0x08},
	{0xCF, 0x02},
	{0xD0, 0x23},
	{0xD1, 0x02},
	{0xD2, 0x3F},
	{0xD3, 0x02},
	{0xD4, 0x4F},
	{0xD5, 0x02},
	{0xD6, 0x5F},
	{0xD7, 0x02},
	{0xD8, 0x67},
	{0xD9, 0x02},
	{0xDA, 0x70},
	{0xDB, 0x02},
	{0xDC, 0x72},
	{0xDD, 0x02},
	{0xDE, 0x75},
	{0xDF, 0x02},
	{0xE0, 0x77},
	{0xE1, 0x02},
	{0xE2, 0x79},
	{0xE3, 0x02},
	{0xE4, 0x7B},
	{0xE5, 0x02},
	{0xE6, 0x7E},
	{0xE7, 0x02},
	{0xE8, 0x80},
	{0xE9, 0x02},
	{0xEa, 0x81}
};
